Capture

This endpoint is sends credit card information directly to Pockyt to process a transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Passing credit card data directly through this endpoint requires PCI SAQ D compliance.

🚧

Please review these guides for more information about your specific use case

The Capture API encompasses a wide range of use cases and integrates into various scenarios. To ensure seamless integration into your solution, please consult the appropriate guide below before beginning your development:

📘

Side notes

  • To explore the full list of available payment methods, please check this link Available Payment Methods - Checkout
  • When 3DS is enabled, an authUrl will be returned in the response. You’ll need to manually redirect the user to that URL to complete the authentication step. After the redirection, the user will complete the transaction on that page. The final status will be sent via webhook, configured through the ipnUrl parameter in your request.
  • To enable 3DS on your account, please contact the Solutions team.
  • In recurring payments (vautling), after calling the capture api the webhook will have the vaultId.

goodsInfo

The goodsInfo field is recommended to help merchants with disputes. It is an object with the following fields:

FieldM/O/CDescription
amountMThe item price or rate per unit, can not be a negative number.
categoryMThe item category type. Possible values: DIGITAL_GOODS, PHYSICAL_GOODS
descriptionMThe detailed item description.
goods_infoMThe item name or title.
taxOThe item tax for each unit.
quantityMThe item quantity.

Note When adding to the goodsInfo, make sure to include the goodsInfo as a string. (ex. "{"goods_name":"test","quantity":"1","category":"DIGITAL_GOODS","description":"testing","amount":"300","tax":"0"}")

Body Params
string
required
Defaults to 200043

A unique value created and assigned by Pockyt’s support team during the onboarding process

string
required
Defaults to 300014

A unique value created and assigned by Pockyt’s support team during the onboarding process

string
required
Defaults to 300

The transaction amount

string
required
Defaults to 123

The three- or four-digit security code of the card. Also known as the CVV, CVC, CVN, CVE, or CID.

string
required
Defaults to 04

The expiration month, e.g. 01, 12

string
required
Defaults to 2026

The expiration year, 4 digits.

string
required
Defaults to 5425233430109903

The full credit or debit card number.

string
required
Defaults to USD

Transaction currencies. (Ex. "USD", "CNY", "PHP", "IDR", "KRW", "HKD", "THB", "MYR", "GBP", "BDT", "PKR")

string
Defaults to 2000299440486216204525

The user's ID in Pockyt System; include this parameter if you wish to map a customer with the payment and request a secure checkout. Returned from the Register Customer endpoint.

string

The client IP address.

string
Defaults to test note

Additional internal notes on the particular transaction

string
required
Defaults to 1699583693607

The invoice ID in the merchant's system

string
required
Defaults to USD

When the currency is "GBP", the settlement currency is "GBP". All other currencies settle with "USD"

string
required
Defaults to creditcard

The payment method, which will always be creditcard

string
required
Defaults to ONLINE

"ONLINE" or "WAP"

string

Highly recommended field providing goods information; used by merchants to greatly reduce disputes.

string
Defaults to http://zk-tys.yunkeguan.com/ttest/test

The asynchronous notification address. The IPN URL must be secure. For more information, visit the IPN notification section

string
Defaults to http://zk-tys.yunkeguan.com/ttest/test2?status={status}

The callbackUrl is the url the user is redirected after the transaction is done

string
required
Defaults to 72a2c6ce8497adc8a03a78135618e666

The parameter signature. It is the calculated MD5 hash value of the API token used to encrypt the request message and authorize transaction requests. For more information, visit Signing API Parameters

string
Defaults to CCREJECT-BANK_ERROR

Use this parameter only if you want to simulate a failed transaction.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json